Imported Upstream version 2.6.4
[platform/upstream/harfbuzz.git] / test / subset / data / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Process this file with automake to produce Makefile.in
18 VPATH = @srcdir@
19 am__is_gnu_make = { \
20   if test -z '$(MAKELEVEL)'; then \
21     false; \
22   elif test -n '$(MAKE_HOST)'; then \
23     true; \
24   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25     true; \
26   else \
27     false; \
28   fi; \
29 }
30 am__make_running_with_option = \
31   case $${target_option-} in \
32       ?) ;; \
33       *) echo "am__make_running_with_option: internal error: invalid" \
34               "target option '$${target_option-}' specified" >&2; \
35          exit 1;; \
36   esac; \
37   has_opt=no; \
38   sane_makeflags=$$MAKEFLAGS; \
39   if $(am__is_gnu_make); then \
40     sane_makeflags=$$MFLAGS; \
41   else \
42     case $$MAKEFLAGS in \
43       *\\[\ \   ]*) \
44         bs=\\; \
45         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47     esac; \
48   fi; \
49   skip_next=no; \
50   strip_trailopt () \
51   { \
52     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53   }; \
54   for flg in $$sane_makeflags; do \
55     test $$skip_next = yes && { skip_next=no; continue; }; \
56     case $$flg in \
57       *=*|--*) continue;; \
58         -*I) strip_trailopt 'I'; skip_next=yes;; \
59       -*I?*) strip_trailopt 'I';; \
60         -*O) strip_trailopt 'O'; skip_next=yes;; \
61       -*O?*) strip_trailopt 'O';; \
62         -*l) strip_trailopt 'l'; skip_next=yes;; \
63       -*l?*) strip_trailopt 'l';; \
64       -[dEDm]) skip_next=yes;; \
65       -[JT]) skip_next=yes;; \
66     esac; \
67     case $$flg in \
68       *$$target_option*) has_opt=yes; break;; \
69     esac; \
70   done; \
71   test $$has_opt = yes
72 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74 pkgdatadir = $(datadir)/@PACKAGE@
75 pkgincludedir = $(includedir)/@PACKAGE@
76 pkglibdir = $(libdir)/@PACKAGE@
77 pkglibexecdir = $(libexecdir)/@PACKAGE@
78 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79 install_sh_DATA = $(install_sh) -c -m 644
80 install_sh_PROGRAM = $(install_sh) -c
81 install_sh_SCRIPT = $(install_sh) -c
82 INSTALL_HEADER = $(INSTALL_DATA)
83 transform = $(program_transform_name)
84 NORMAL_INSTALL = :
85 PRE_INSTALL = :
86 POST_INSTALL = :
87 NORMAL_UNINSTALL = :
88 PRE_UNINSTALL = :
89 POST_UNINSTALL = :
90 build_triplet = @build@
91 host_triplet = @host@
92 TESTS = tests/basics.tests tests/full-font.tests \
93         tests/cff-full-font.tests tests/japanese.tests \
94         tests/cff-japanese.tests tests/layout.tests \
95         tests/layout.gpos.tests tests/layout.gpos2.tests \
96         tests/layout.gpos3.tests tests/layout.gsub6.tests \
97         tests/cmap14.tests $(am__EXEEXT_1)
98 XFAIL_TESTS = $(am__EXEEXT_1)
99 subdir = test/subset/data
100 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
101 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_link_flag.m4 \
102         $(top_srcdir)/m4/ax_code_coverage.m4 \
103         $(top_srcdir)/m4/ax_cxx_compile_stdcxx.m4 \
104         $(top_srcdir)/m4/ax_pthread.m4 $(top_srcdir)/m4/gtk-doc.m4 \
105         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
106         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
107         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
108 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
109         $(ACLOCAL_M4)
110 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
111 mkinstalldirs = $(install_sh) -d
112 CONFIG_HEADER = $(top_builddir)/config.h
113 CONFIG_CLEAN_FILES =
114 CONFIG_CLEAN_VPATH_FILES =
115 AM_V_P = $(am__v_P_@AM_V@)
116 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
117 am__v_P_0 = false
118 am__v_P_1 = :
119 AM_V_GEN = $(am__v_GEN_@AM_V@)
120 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
121 am__v_GEN_0 = @echo "  GEN     " $@;
122 am__v_GEN_1 = 
123 AM_V_at = $(am__v_at_@AM_V@)
124 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
125 am__v_at_0 = @
126 am__v_at_1 = 
127 SOURCES =
128 DIST_SOURCES =
129 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
130         ctags-recursive dvi-recursive html-recursive info-recursive \
131         install-data-recursive install-dvi-recursive \
132         install-exec-recursive install-html-recursive \
133         install-info-recursive install-pdf-recursive \
134         install-ps-recursive install-recursive installcheck-recursive \
135         installdirs-recursive pdf-recursive ps-recursive \
136         tags-recursive uninstall-recursive
137 am__can_run_installinfo = \
138   case $$AM_UPDATE_INFO_DIR in \
139     n|no|NO) false;; \
140     *) (install-info --version) >/dev/null 2>&1;; \
141   esac
142 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
143   distclean-recursive maintainer-clean-recursive
144 am__recursive_targets = \
145   $(RECURSIVE_TARGETS) \
146   $(RECURSIVE_CLEAN_TARGETS) \
147   $(am__extra_recursive_targets)
148 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
149         check recheck distdir distdir-am
150 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
151 # Read a list of newline-separated strings from the standard input,
152 # and print each of them once, without duplicates.  Input order is
153 # *not* preserved.
154 am__uniquify_input = $(AWK) '\
155   BEGIN { nonempty = 0; } \
156   { items[$$0] = 1; nonempty = 1; } \
157   END { if (nonempty) { for (i in items) print i; }; } \
158 '
159 # Make sure the list of sources is unique.  This is necessary because,
160 # e.g., the same source file might be shared among _SOURCES variables
161 # for different programs/libraries.
162 am__define_uniq_tagged_files = \
163   list='$(am__tagged_files)'; \
164   unique=`for i in $$list; do \
165     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
166   done | $(am__uniquify_input)`
167 ETAGS = etags
168 CTAGS = ctags
169 am__tty_colors_dummy = \
170   mgn= red= grn= lgn= blu= brg= std=; \
171   am__color_tests=no
172 am__tty_colors = { \
173   $(am__tty_colors_dummy); \
174   if test "X$(AM_COLOR_TESTS)" = Xno; then \
175     am__color_tests=no; \
176   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
177     am__color_tests=yes; \
178   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
179     am__color_tests=yes; \
180   fi; \
181   if test $$am__color_tests = yes; then \
182     red='\e[0;31m'; \
183     grn='\e[0;32m'; \
184     lgn='\e[1;32m'; \
185     blu='\e[1;34m'; \
186     mgn='\e[0;35m'; \
187     brg='\e[1m'; \
188     std='\e[m'; \
189   fi; \
190 }
191 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
192 am__vpath_adj = case $$p in \
193     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
194     *) f=$$p;; \
195   esac;
196 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
197 am__install_max = 40
198 am__nobase_strip_setup = \
199   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
200 am__nobase_strip = \
201   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
202 am__nobase_list = $(am__nobase_strip_setup); \
203   for p in $$list; do echo "$$p $$p"; done | \
204   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
205   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
206     if (++n[$$2] == $(am__install_max)) \
207       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
208     END { for (dir in files) print dir, files[dir] }'
209 am__base_list = \
210   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
211   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
212 am__uninstall_files_from_dir = { \
213   test -z "$$files" \
214     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
215     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
216          $(am__cd) "$$dir" && rm -f $$files; }; \
217   }
218 am__recheck_rx = ^[     ]*:recheck:[    ]*
219 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
220 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
221 # A command that, given a newline-separated list of test names on the
222 # standard input, print the name of the tests that are to be re-run
223 # upon "make recheck".
224 am__list_recheck_tests = $(AWK) '{ \
225   recheck = 1; \
226   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
227     { \
228       if (rc < 0) \
229         { \
230           if ((getline line2 < ($$0 ".log")) < 0) \
231             recheck = 0; \
232           break; \
233         } \
234       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
235         { \
236           recheck = 0; \
237           break; \
238         } \
239       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
240         { \
241           break; \
242         } \
243     }; \
244   if (recheck) \
245     print $$0; \
246   close ($$0 ".trs"); \
247   close ($$0 ".log"); \
248 }'
249 # A command that, given a newline-separated list of test names on the
250 # standard input, create the global log from their .trs and .log files.
251 am__create_global_log = $(AWK) ' \
252 function fatal(msg) \
253 { \
254   print "fatal: making $@: " msg | "cat >&2"; \
255   exit 1; \
256 } \
257 function rst_section(header) \
258 { \
259   print header; \
260   len = length(header); \
261   for (i = 1; i <= len; i = i + 1) \
262     printf "="; \
263   printf "\n\n"; \
264 } \
265 { \
266   copy_in_global_log = 1; \
267   global_test_result = "RUN"; \
268   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
269     { \
270       if (rc < 0) \
271          fatal("failed to read from " $$0 ".trs"); \
272       if (line ~ /$(am__global_test_result_rx)/) \
273         { \
274           sub("$(am__global_test_result_rx)", "", line); \
275           sub("[        ]*$$", "", line); \
276           global_test_result = line; \
277         } \
278       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
279         copy_in_global_log = 0; \
280     }; \
281   if (copy_in_global_log) \
282     { \
283       rst_section(global_test_result ": " $$0); \
284       while ((rc = (getline line < ($$0 ".log"))) != 0) \
285       { \
286         if (rc < 0) \
287           fatal("failed to read from " $$0 ".log"); \
288         print line; \
289       }; \
290       printf "\n"; \
291     }; \
292   close ($$0 ".trs"); \
293   close ($$0 ".log"); \
294 }'
295 # Restructured Text title.
296 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
297 # Solaris 10 'make', and several other traditional 'make' implementations,
298 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
299 # by disabling -e (using the XSI extension "set +e") if it's set.
300 am__sh_e_setup = case $$- in *e*) set +e;; esac
301 # Default flags passed to test drivers.
302 am__common_driver_flags = \
303   --color-tests "$$am__color_tests" \
304   --enable-hard-errors "$$am__enable_hard_errors" \
305   --expect-failure "$$am__expect_failure"
306 # To be inserted before the command running the test.  Creates the
307 # directory for the log if needed.  Stores in $dir the directory
308 # containing $f, in $tst the test, in $log the log.  Executes the
309 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
310 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
311 # will run the test scripts (or their associated LOG_COMPILER, if
312 # thy have one).
313 am__check_pre = \
314 $(am__sh_e_setup);                                      \
315 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
316 $(am__tty_colors);                                      \
317 srcdir=$(srcdir); export srcdir;                        \
318 case "$@" in                                            \
319   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
320     *) am__odir=.;;                                     \
321 esac;                                                   \
322 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
323   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
324 if test -f "./$$f"; then dir=./;                        \
325 elif test -f "$$f"; then dir=;                          \
326 else dir="$(srcdir)/"; fi;                              \
327 tst=$$dir$$f; log='$@';                                 \
328 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
329   am__enable_hard_errors=no;                            \
330 else                                                    \
331   am__enable_hard_errors=yes;                           \
332 fi;                                                     \
333 case " $(XFAIL_TESTS) " in                              \
334   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
335     am__expect_failure=yes;;                            \
336   *)                                                    \
337     am__expect_failure=no;;                             \
338 esac;                                                   \
339 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
340 # A shell command to get the names of the tests scripts with any registered
341 # extension removed (i.e., equivalently, the names of the test logs, with
342 # the '.log' extension removed).  The result is saved in the shell variable
343 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
344 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
345 # since that might cause problem with VPATH rewrites for suffix-less tests.
346 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
347 am__set_TESTS_bases = \
348   bases='$(TEST_LOGS)'; \
349   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
350   bases=`echo $$bases`
351 RECHECK_LOGS = $(TEST_LOGS)
352 am__EXEEXT_1 =
353 TEST_SUITE_LOG = test-suite.log
354 am__test_logs1 = $(TESTS:=.log)
355 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
356 TEST_LOGS = $(am__test_logs2:.tests.log=.log)
357 TESTS_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
358 TESTS_LOG_COMPILE = $(TESTS_LOG_COMPILER) $(AM_TESTS_LOG_FLAGS) \
359         $(TESTS_LOG_FLAGS)
360 am__set_b = \
361   case '$@' in \
362     */*) \
363       case '$*' in \
364         */*) b='$*';; \
365           *) b=`echo '$@' | sed 's/\.log$$//'`; \
366        esac;; \
367     *) \
368       b='$*';; \
369   esac
370 DIST_SUBDIRS = $(SUBDIRS)
371 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.sources \
372         $(top_srcdir)/test-driver
373 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
374 am__relativize = \
375   dir0=`pwd`; \
376   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
377   sed_rest='s,^[^/]*/*,,'; \
378   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
379   sed_butlast='s,/*[^/]*$$,,'; \
380   while test -n "$$dir1"; do \
381     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
382     if test "$$first" != "."; then \
383       if test "$$first" = ".."; then \
384         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
385         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
386       else \
387         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
388         if test "$$first2" = "$$first"; then \
389           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
390         else \
391           dir2="../$$dir2"; \
392         fi; \
393         dir0="$$dir0"/"$$first"; \
394       fi; \
395     fi; \
396     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
397   done; \
398   reldir="$$dir2"
399 ACLOCAL = @ACLOCAL@
400 AMTAR = @AMTAR@
401 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
402 AR = @AR@
403 AUTOCONF = @AUTOCONF@
404 AUTOHEADER = @AUTOHEADER@
405 AUTOMAKE = @AUTOMAKE@
406 AWK = @AWK@
407 CAIRO_CFLAGS = @CAIRO_CFLAGS@
408 CAIRO_FT_CFLAGS = @CAIRO_FT_CFLAGS@
409 CAIRO_FT_LIBS = @CAIRO_FT_LIBS@
410 CAIRO_LIBS = @CAIRO_LIBS@
411 CC = @CC@
412 CCDEPMODE = @CCDEPMODE@
413 CFLAGS = @CFLAGS@
414 CODE_COVERAGE_CFLAGS = @CODE_COVERAGE_CFLAGS@
415 CODE_COVERAGE_CPPFLAGS = @CODE_COVERAGE_CPPFLAGS@
416 CODE_COVERAGE_CXXFLAGS = @CODE_COVERAGE_CXXFLAGS@
417 CODE_COVERAGE_ENABLED = @CODE_COVERAGE_ENABLED@
418 CODE_COVERAGE_LDFLAGS = @CODE_COVERAGE_LDFLAGS@
419 CODE_COVERAGE_LIBS = @CODE_COVERAGE_LIBS@
420 CORETEXT_CFLAGS = @CORETEXT_CFLAGS@
421 CORETEXT_LIBS = @CORETEXT_LIBS@
422 CPP = @CPP@
423 CPPFLAGS = @CPPFLAGS@
424 CXX = @CXX@
425 CXXCPP = @CXXCPP@
426 CXXDEPMODE = @CXXDEPMODE@
427 CXXFLAGS = @CXXFLAGS@
428 CYGPATH_W = @CYGPATH_W@
429 DEFS = @DEFS@
430 DEPDIR = @DEPDIR@
431 DIRECTWRITE_CXXFLAGS = @DIRECTWRITE_CXXFLAGS@
432 DIRECTWRITE_LIBS = @DIRECTWRITE_LIBS@
433 DLLTOOL = @DLLTOOL@
434 DSYMUTIL = @DSYMUTIL@
435 DUMPBIN = @DUMPBIN@
436 ECHO_C = @ECHO_C@
437 ECHO_N = @ECHO_N@
438 ECHO_T = @ECHO_T@
439 EGREP = @EGREP@
440 EXEEXT = @EXEEXT@
441 FGREP = @FGREP@
442 FONTCONFIG_CFLAGS = @FONTCONFIG_CFLAGS@
443 FONTCONFIG_LIBS = @FONTCONFIG_LIBS@
444 FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
445 FREETYPE_DEPS = @FREETYPE_DEPS@
446 FREETYPE_LIBS = @FREETYPE_LIBS@
447 GCOV = @GCOV@
448 GDI_CFLAGS = @GDI_CFLAGS@
449 GDI_LIBS = @GDI_LIBS@
450 GENHTML = @GENHTML@
451 GIT = @GIT@
452 GLIB_CFLAGS = @GLIB_CFLAGS@
453 GLIB_DEPS = @GLIB_DEPS@
454 GLIB_LIBS = @GLIB_LIBS@
455 GLIB_MKENUMS = @GLIB_MKENUMS@
456 GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
457 GOBJECT_LIBS = @GOBJECT_LIBS@
458 GRAPHITE2_CFLAGS = @GRAPHITE2_CFLAGS@
459 GRAPHITE2_DEPS = @GRAPHITE2_DEPS@
460 GRAPHITE2_LIBS = @GRAPHITE2_LIBS@
461 GREP = @GREP@
462 GTKDOC_CHECK = @GTKDOC_CHECK@
463 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
464 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
465 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
466 GTKDOC_MKPDF = @GTKDOC_MKPDF@
467 GTKDOC_REBASE = @GTKDOC_REBASE@
468 HAVE_CXX11 = @HAVE_CXX11@
469 HB_LIBTOOL_VERSION_INFO = @HB_LIBTOOL_VERSION_INFO@
470 HB_VERSION = @HB_VERSION@
471 HB_VERSION_MAJOR = @HB_VERSION_MAJOR@
472 HB_VERSION_MICRO = @HB_VERSION_MICRO@
473 HB_VERSION_MINOR = @HB_VERSION_MINOR@
474 HTML_DIR = @HTML_DIR@
475 ICU_CFLAGS = @ICU_CFLAGS@
476 ICU_CONFIG = @ICU_CONFIG@
477 ICU_LIBS = @ICU_LIBS@
478 INSTALL = @INSTALL@
479 INSTALL_DATA = @INSTALL_DATA@
480 INSTALL_PROGRAM = @INSTALL_PROGRAM@
481 INSTALL_SCRIPT = @INSTALL_SCRIPT@
482 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
483 INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
484 INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
485 INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
486 INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
487 INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
488 INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
489 INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
490 INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
491 LCOV = @LCOV@
492 LD = @LD@
493 LDFLAGS = @LDFLAGS@
494 LIBOBJS = @LIBOBJS@
495 LIBS = @LIBS@
496 LIBTOOL = @LIBTOOL@
497 LIPO = @LIPO@
498 LN_S = @LN_S@
499 LTLIBOBJS = @LTLIBOBJS@
500 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
501 MAKEINFO = @MAKEINFO@
502 MANIFEST_TOOL = @MANIFEST_TOOL@
503 MKDIR_P = @MKDIR_P@
504 NM = @NM@
505 NMEDIT = @NMEDIT@
506 OBJDUMP = @OBJDUMP@
507 OBJEXT = @OBJEXT@
508 OTOOL = @OTOOL@
509 OTOOL64 = @OTOOL64@
510 PACKAGE = @PACKAGE@
511 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
512 PACKAGE_NAME = @PACKAGE_NAME@
513 PACKAGE_STRING = @PACKAGE_STRING@
514 PACKAGE_TARNAME = @PACKAGE_TARNAME@
515 PACKAGE_URL = @PACKAGE_URL@
516 PACKAGE_VERSION = @PACKAGE_VERSION@
517 PATH_SEPARATOR = @PATH_SEPARATOR@
518 PKG_CONFIG = @PKG_CONFIG@
519 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
520 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
521 PTHREAD_CC = @PTHREAD_CC@
522 PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
523 PTHREAD_LIBS = @PTHREAD_LIBS@
524 RAGEL = @RAGEL@
525 RANLIB = @RANLIB@
526 SED = @SED@
527 SET_MAKE = @SET_MAKE@
528 SHELL = @SHELL@
529 STRIP = @STRIP@
530 UNISCRIBE_CFLAGS = @UNISCRIBE_CFLAGS@
531 UNISCRIBE_LIBS = @UNISCRIBE_LIBS@
532 VERSION = @VERSION@
533 abs_builddir = @abs_builddir@
534 abs_srcdir = @abs_srcdir@
535 abs_top_builddir = @abs_top_builddir@
536 abs_top_srcdir = @abs_top_srcdir@
537 ac_ct_AR = @ac_ct_AR@
538 ac_ct_CC = @ac_ct_CC@
539 ac_ct_CXX = @ac_ct_CXX@
540 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
541 am__include = @am__include@
542 am__leading_dot = @am__leading_dot@
543 am__quote = @am__quote@
544 am__tar = @am__tar@
545 am__untar = @am__untar@
546 ax_pthread_config = @ax_pthread_config@
547 bindir = @bindir@
548 build = @build@
549 build_alias = @build_alias@
550 build_cpu = @build_cpu@
551 build_os = @build_os@
552 build_vendor = @build_vendor@
553 builddir = @builddir@
554 datadir = @datadir@
555 datarootdir = @datarootdir@
556 docdir = @docdir@
557 dvidir = @dvidir@
558 exec_prefix = @exec_prefix@
559 have_gobject = @have_gobject@
560 host = @host@
561 host_alias = @host_alias@
562 host_cpu = @host_cpu@
563 host_os = @host_os@
564 host_vendor = @host_vendor@
565 htmldir = @htmldir@
566 includedir = @includedir@
567 infodir = @infodir@
568 install_sh = @install_sh@
569 libdir = @libdir@
570 libexecdir = @libexecdir@
571 localedir = @localedir@
572 localstatedir = @localstatedir@
573 mandir = @mandir@
574 mkdir_p = @mkdir_p@
575 oldincludedir = @oldincludedir@
576 pdfdir = @pdfdir@
577 prefix = @prefix@
578 program_transform_name = @program_transform_name@
579 psdir = @psdir@
580 sbindir = @sbindir@
581 sharedstatedir = @sharedstatedir@
582 srcdir = @srcdir@
583 sysconfdir = @sysconfdir@
584 target_alias = @target_alias@
585 top_build_prefix = @top_build_prefix@
586 top_builddir = @top_builddir@
587 top_srcdir = @top_srcdir@
588 NULL = 
589 EXTRA_DIST = $(TESTS) expected/basics expected/full-font \
590         expected/cff-full-font expected/japanese expected/cff-japanese \
591         expected/layout expected/layout.gpos expected/layout.gpos2 \
592         expected/layout.gpos3 expected/layout.gsub6 expected/cmap14 \
593         fonts profiles $(NULL)
594 CLEANFILES = 
595 SUBDIRS = 
596 TEST_EXTENSIONS = .tests
597 TESTS_LOG_COMPILER = $(srcdir)/../run-tests.py $(top_builddir)/util/hb-subset$(EXEEXT)
598 DISABLED_TESTS = \
599         $(NULL)
600
601 all: all-recursive
602
603 .SUFFIXES:
604 .SUFFIXES: .log .tests .tests$(EXEEXT) .trs
605 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/Makefile.sources $(am__configure_deps)
606         @for dep in $?; do \
607           case '$(am__configure_deps)' in \
608             *$$dep*) \
609               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
610                 && { if test -f $@; then exit 0; else break; fi; }; \
611               exit 1;; \
612           esac; \
613         done; \
614         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits test/subset/data/Makefile'; \
615         $(am__cd) $(top_srcdir) && \
616           $(AUTOMAKE) --gnits test/subset/data/Makefile
617 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
618         @case '$?' in \
619           *config.status*) \
620             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
621           *) \
622             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
623             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
624         esac;
625 $(srcdir)/Makefile.sources $(am__empty):
626
627 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
628         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
629
630 $(top_srcdir)/configure:  $(am__configure_deps)
631         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
632 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
633         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
634 $(am__aclocal_m4_deps):
635
636 mostlyclean-libtool:
637         -rm -f *.lo
638
639 clean-libtool:
640         -rm -rf .libs _libs
641
642 # This directory's subdirectories are mostly independent; you can cd
643 # into them and run 'make' without going through this Makefile.
644 # To change the values of 'make' variables: instead of editing Makefiles,
645 # (1) if the variable is set in 'config.status', edit 'config.status'
646 #     (which will cause the Makefiles to be regenerated when you run 'make');
647 # (2) otherwise, pass the desired values on the 'make' command line.
648 $(am__recursive_targets):
649         @fail=; \
650         if $(am__make_keepgoing); then \
651           failcom='fail=yes'; \
652         else \
653           failcom='exit 1'; \
654         fi; \
655         dot_seen=no; \
656         target=`echo $@ | sed s/-recursive//`; \
657         case "$@" in \
658           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
659           *) list='$(SUBDIRS)' ;; \
660         esac; \
661         for subdir in $$list; do \
662           echo "Making $$target in $$subdir"; \
663           if test "$$subdir" = "."; then \
664             dot_seen=yes; \
665             local_target="$$target-am"; \
666           else \
667             local_target="$$target"; \
668           fi; \
669           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
670           || eval $$failcom; \
671         done; \
672         if test "$$dot_seen" = "no"; then \
673           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
674         fi; test -z "$$fail"
675
676 ID: $(am__tagged_files)
677         $(am__define_uniq_tagged_files); mkid -fID $$unique
678 tags: tags-recursive
679 TAGS: tags
680
681 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
682         set x; \
683         here=`pwd`; \
684         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
685           include_option=--etags-include; \
686           empty_fix=.; \
687         else \
688           include_option=--include; \
689           empty_fix=; \
690         fi; \
691         list='$(SUBDIRS)'; for subdir in $$list; do \
692           if test "$$subdir" = .; then :; else \
693             test ! -f $$subdir/TAGS || \
694               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
695           fi; \
696         done; \
697         $(am__define_uniq_tagged_files); \
698         shift; \
699         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
700           test -n "$$unique" || unique=$$empty_fix; \
701           if test $$# -gt 0; then \
702             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
703               "$$@" $$unique; \
704           else \
705             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
706               $$unique; \
707           fi; \
708         fi
709 ctags: ctags-recursive
710
711 CTAGS: ctags
712 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
713         $(am__define_uniq_tagged_files); \
714         test -z "$(CTAGS_ARGS)$$unique" \
715           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
716              $$unique
717
718 GTAGS:
719         here=`$(am__cd) $(top_builddir) && pwd` \
720           && $(am__cd) $(top_srcdir) \
721           && gtags -i $(GTAGS_ARGS) "$$here"
722 cscopelist: cscopelist-recursive
723
724 cscopelist-am: $(am__tagged_files)
725         list='$(am__tagged_files)'; \
726         case "$(srcdir)" in \
727           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
728           *) sdir=$(subdir)/$(srcdir) ;; \
729         esac; \
730         for i in $$list; do \
731           if test -f "$$i"; then \
732             echo "$(subdir)/$$i"; \
733           else \
734             echo "$$sdir/$$i"; \
735           fi; \
736         done >> $(top_builddir)/cscope.files
737
738 distclean-tags:
739         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
740
741 # Recover from deleted '.trs' file; this should ensure that
742 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
743 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
744 # to avoid problems with "make -n".
745 .log.trs:
746         rm -f $< $@
747         $(MAKE) $(AM_MAKEFLAGS) $<
748
749 # Leading 'am--fnord' is there to ensure the list of targets does not
750 # expand to empty, as could happen e.g. with make check TESTS=''.
751 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
752 am--force-recheck:
753         @:
754
755 $(TEST_SUITE_LOG): $(TEST_LOGS)
756         @$(am__set_TESTS_bases); \
757         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
758         redo_bases=`for i in $$bases; do \
759                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
760                     done`; \
761         if test -n "$$redo_bases"; then \
762           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
763           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
764           if $(am__make_dryrun); then :; else \
765             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
766           fi; \
767         fi; \
768         if test -n "$$am__remaking_logs"; then \
769           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
770                "recursion detected" >&2; \
771         elif test -n "$$redo_logs"; then \
772           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
773         fi; \
774         if $(am__make_dryrun); then :; else \
775           st=0;  \
776           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
777           for i in $$redo_bases; do \
778             test -f $$i.trs && test -r $$i.trs \
779               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
780             test -f $$i.log && test -r $$i.log \
781               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
782           done; \
783           test $$st -eq 0 || exit 1; \
784         fi
785         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
786         ws='[   ]'; \
787         results=`for b in $$bases; do echo $$b.trs; done`; \
788         test -n "$$results" || results=/dev/null; \
789         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
790         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
791         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
792         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
793         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
794         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
795         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
796         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
797           success=true; \
798         else \
799           success=false; \
800         fi; \
801         br='==================='; br=$$br$$br$$br$$br; \
802         result_count () \
803         { \
804             if test x"$$1" = x"--maybe-color"; then \
805               maybe_colorize=yes; \
806             elif test x"$$1" = x"--no-color"; then \
807               maybe_colorize=no; \
808             else \
809               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
810             fi; \
811             shift; \
812             desc=$$1 count=$$2; \
813             if test $$maybe_colorize = yes && test $$count -gt 0; then \
814               color_start=$$3 color_end=$$std; \
815             else \
816               color_start= color_end=; \
817             fi; \
818             echo "$${color_start}# $$desc $$count$${color_end}"; \
819         }; \
820         create_testsuite_report () \
821         { \
822           result_count $$1 "TOTAL:" $$all   "$$brg"; \
823           result_count $$1 "PASS: " $$pass  "$$grn"; \
824           result_count $$1 "SKIP: " $$skip  "$$blu"; \
825           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
826           result_count $$1 "FAIL: " $$fail  "$$red"; \
827           result_count $$1 "XPASS:" $$xpass "$$red"; \
828           result_count $$1 "ERROR:" $$error "$$mgn"; \
829         }; \
830         {                                                               \
831           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
832             $(am__rst_title);                                           \
833           create_testsuite_report --no-color;                           \
834           echo;                                                         \
835           echo ".. contents:: :depth: 2";                               \
836           echo;                                                         \
837           for b in $$bases; do echo $$b; done                           \
838             | $(am__create_global_log);                                 \
839         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
840         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
841         if $$success; then                                              \
842           col="$$grn";                                                  \
843          else                                                           \
844           col="$$red";                                                  \
845           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
846         fi;                                                             \
847         echo "$${col}$$br$${std}";                                      \
848         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
849         echo "$${col}$$br$${std}";                                      \
850         create_testsuite_report --maybe-color;                          \
851         echo "$$col$$br$$std";                                          \
852         if $$success; then :; else                                      \
853           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
854           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
855             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
856           fi;                                                           \
857           echo "$$col$$br$$std";                                        \
858         fi;                                                             \
859         $$success || exit 1
860
861 check-TESTS: 
862         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
863         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
864         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
865         @set +e; $(am__set_TESTS_bases); \
866         log_list=`for i in $$bases; do echo $$i.log; done`; \
867         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
868         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
869         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
870         exit $$?;
871 recheck: all 
872         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
873         @set +e; $(am__set_TESTS_bases); \
874         bases=`for i in $$bases; do echo $$i; done \
875                  | $(am__list_recheck_tests)` || exit 1; \
876         log_list=`for i in $$bases; do echo $$i.log; done`; \
877         log_list=`echo $$log_list`; \
878         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
879                 am__force_recheck=am--force-recheck \
880                 TEST_LOGS="$$log_list"; \
881         exit $$?
882 .tests.log:
883         @p='$<'; \
884         $(am__set_b); \
885         $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
886         --log-file $$b.log --trs-file $$b.trs \
887         $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
888         "$$tst" $(AM_TESTS_FD_REDIRECT)
889 @am__EXEEXT_TRUE@.tests$(EXEEXT).log:
890 @am__EXEEXT_TRUE@       @p='$<'; \
891 @am__EXEEXT_TRUE@       $(am__set_b); \
892 @am__EXEEXT_TRUE@       $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
893 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
894 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
895 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
896
897 distdir: $(BUILT_SOURCES)
898         $(MAKE) $(AM_MAKEFLAGS) distdir-am
899
900 distdir-am: $(DISTFILES)
901         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
902         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
903         list='$(DISTFILES)'; \
904           dist_files=`for file in $$list; do echo $$file; done | \
905           sed -e "s|^$$srcdirstrip/||;t" \
906               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
907         case $$dist_files in \
908           */*) $(MKDIR_P) `echo "$$dist_files" | \
909                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
910                            sort -u` ;; \
911         esac; \
912         for file in $$dist_files; do \
913           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
914           if test -d $$d/$$file; then \
915             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
916             if test -d "$(distdir)/$$file"; then \
917               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
918             fi; \
919             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
920               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
921               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
922             fi; \
923             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
924           else \
925             test -f "$(distdir)/$$file" \
926             || cp -p $$d/$$file "$(distdir)/$$file" \
927             || exit 1; \
928           fi; \
929         done
930         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
931           if test "$$subdir" = .; then :; else \
932             $(am__make_dryrun) \
933               || test -d "$(distdir)/$$subdir" \
934               || $(MKDIR_P) "$(distdir)/$$subdir" \
935               || exit 1; \
936             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
937             $(am__relativize); \
938             new_distdir=$$reldir; \
939             dir1=$$subdir; dir2="$(top_distdir)"; \
940             $(am__relativize); \
941             new_top_distdir=$$reldir; \
942             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
943             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
944             ($(am__cd) $$subdir && \
945               $(MAKE) $(AM_MAKEFLAGS) \
946                 top_distdir="$$new_top_distdir" \
947                 distdir="$$new_distdir" \
948                 am__remove_distdir=: \
949                 am__skip_length_check=: \
950                 am__skip_mode_fix=: \
951                 distdir) \
952               || exit 1; \
953           fi; \
954         done
955 check-am: all-am
956         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
957 check: check-recursive
958 all-am: Makefile
959 installdirs: installdirs-recursive
960 installdirs-am:
961 install: install-recursive
962 install-exec: install-exec-recursive
963 install-data: install-data-recursive
964 uninstall: uninstall-recursive
965
966 install-am: all-am
967         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
968
969 installcheck: installcheck-recursive
970 install-strip:
971         if test -z '$(STRIP)'; then \
972           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
973             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
974               install; \
975         else \
976           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
977             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
978             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
979         fi
980 mostlyclean-generic:
981         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
982         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
983         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
984
985 clean-generic:
986         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
987
988 distclean-generic:
989         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
990         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
991
992 maintainer-clean-generic:
993         @echo "This command is intended for maintainers to use"
994         @echo "it deletes files that may require special tools to rebuild."
995 clean: clean-recursive
996
997 clean-am: clean-generic clean-libtool mostlyclean-am
998
999 distclean: distclean-recursive
1000         -rm -f Makefile
1001 distclean-am: clean-am distclean-generic distclean-tags
1002
1003 dvi: dvi-recursive
1004
1005 dvi-am:
1006
1007 html: html-recursive
1008
1009 html-am:
1010
1011 info: info-recursive
1012
1013 info-am:
1014
1015 install-data-am:
1016
1017 install-dvi: install-dvi-recursive
1018
1019 install-dvi-am:
1020
1021 install-exec-am:
1022
1023 install-html: install-html-recursive
1024
1025 install-html-am:
1026
1027 install-info: install-info-recursive
1028
1029 install-info-am:
1030
1031 install-man:
1032
1033 install-pdf: install-pdf-recursive
1034
1035 install-pdf-am:
1036
1037 install-ps: install-ps-recursive
1038
1039 install-ps-am:
1040
1041 installcheck-am:
1042
1043 maintainer-clean: maintainer-clean-recursive
1044         -rm -f Makefile
1045 maintainer-clean-am: distclean-am maintainer-clean-generic
1046
1047 mostlyclean: mostlyclean-recursive
1048
1049 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
1050
1051 pdf: pdf-recursive
1052
1053 pdf-am:
1054
1055 ps: ps-recursive
1056
1057 ps-am:
1058
1059 uninstall-am:
1060
1061 .MAKE: $(am__recursive_targets) check-am install-am install-strip
1062
1063 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1064         check-TESTS check-am clean clean-generic clean-libtool \
1065         cscopelist-am ctags ctags-am distclean distclean-generic \
1066         distclean-libtool distclean-tags distdir dvi dvi-am html \
1067         html-am info info-am install install-am install-data \
1068         install-data-am install-dvi install-dvi-am install-exec \
1069         install-exec-am install-html install-html-am install-info \
1070         install-info-am install-man install-pdf install-pdf-am \
1071         install-ps install-ps-am install-strip installcheck \
1072         installcheck-am installdirs installdirs-am maintainer-clean \
1073         maintainer-clean-generic mostlyclean mostlyclean-generic \
1074         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
1075         uninstall uninstall-am
1076
1077 .PRECIOUS: Makefile
1078
1079
1080 # Convenience targets:
1081 lib:
1082         @$(MAKE) $(AM_MAKEFLAGS) -C $(top_builddir)/src lib
1083
1084 -include $(top_srcdir)/git.mk
1085
1086 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1087 # Otherwise a system limit (for SysV at least) may be exceeded.
1088 .NOEXPORT: